###############################################################################
# Make your changes here
###############################################################################
%define context fermilab
%define contextTitle Fermilab

# testing == 1 means testing repo is enabled by default
#   Only do this when you are sure you want the testing repo enabled
%define testing 1

Version:	1.0
Release:	2%{?dist}
URL:		http://www.scientificlinux.org/
Requires:	redhat-lsb-core

###############################################################################
# You should be done editing now
###############################################################################

Name:		yum-conf-context-%{context}
Summary:	yum repo files for the SL %{rhel} %{contextTitle} Context

Group:		System Environment/Libraries
License:	GPL
Source0:	RPM-GPG-KEY-context-%{context}

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch
Requires:	coreutils yum bash

# Make sure the testing repo has a valid value
%if %(echo %{testing} |grep -vc '1')
    %define testing 0
%endif

####################################################################
%description
Yum repository file that point to the Scientific Linux %{rhel} %{contextTitle} Context.

These packages may change in ABI/API incompatible ways.

####################################################################
%prep

####################################################################
%build

####################################################################
%install
%{__rm} -rf %{buildroot}

######### setup gpg key
%{__install} -Dpm 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}

######### Make repodir
%{__mkdir_p} %{buildroot}%{_sysconfdir}/yum.repos.d/

echo "Building yum conf for SL %{rhel} %{contextTitle} Context"

cat > %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}.repo <<REPO
[%{context}]
Name=Scientific Linux Context - %{contextTitle} - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/\$basearch/
mirrorlist=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/mirrors/base

enabled=1
gpgcheck=1
gpgkey=file://%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}

REPO
cat %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}.repo

cat > %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}-other.repo <<REPO
[%{context}-source]
Name=Scientific Linux Context - %{contextTitle} - SRPMS
baseurl=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/SRPMS
        http://ftp1.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/SRPMS
        http://ftp2.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/SRPMS
mirrorlist=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/mirrors/SRPMS

enabled=0
gpgcheck=1
gpgkey=file://%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}

[%{context}-debuginfo]
Name=Scientific Linux Context - %{contextTitle} - debuginfo
baseurl=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/debuginfo
        http://ftp1.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/debuginfo
        http://ftp2.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/debuginfo
mirrorlist=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/mirrors/debuginfo

enabled=0
gpgcheck=1
gpgkey=file://%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}

REPO
cat %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}-other.repo

cat > %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}-testing.repo <<REPO
[%{context}-testing]
Name=Scientific Linux Context - %{contextTitle} - \$basearch - testing
baseurl=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/testing/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/testing/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/testing/\$basearch/
mirrorlist=http://ftp.scientificlinux.org/linux/scientific/%{rhel}/contexts/%{context}/mirrors/testing

enabled=%{testing}
gpgcheck=1
gpgkey=file://%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}

REPO
cat %{buildroot}%{_sysconfdir}/yum.repos.d/%{context}-testing.repo

####################################################################
# Use modern yum group options for repo management
####################################################################
%{__mkdir_p} %{buildroot}/%{_libexecdir}/%{name}
cat << EOF >>%{buildroot}/%{_libexecdir}/%{name}/groupconv.sh
#!/bin/bash
THISFILE=\$(mktemp)
echo  '#!/bin/bash' > \${THISFILE}
echo  "yum group mark-install %{context}" >> \${THISFILE}
echo  "rm -rf /tmp/nohup.out" >> \${THISFILE}
echo  "rm -rf \${THISFILE}" >> \${THISFILE}
%{__chmod} 755 \${THISFILE}
(cd /tmp
 nohup \${THISFILE} &
) >/dev/null 2>&1

EOF

####################################################################
%post -p %{_libexecdir}/%{name}/groupconv.sh

####################################################################
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


####################################################################
%files
%defattr(0644,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-context-%{context}
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%attr(755, root, root)%{_libexecdir}/%{name}/*.sh

####################################################################
%changelog
* Thu Oct 22 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-2.el7
- Update to enable testing by default

* Fri Apr 17 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build
